Subject: Re: [PATCH] samples/seccomp/Makefile: Do not build tests if cross-compiling for MIPS

From: Paul Gortmaker <[email-masked]>
Date: Tue, 18 Feb 2014 23:21:09 -0500

[Re: [PATCH] samples/seccomp/Makefile: Do not build tests if cross-compiling for MIPS] On 17/02/2014 (Mon 13:22) Markos Chandras wrote:

> On 02/14/2014 01:33 AM, Paul Gortmaker wrote:
> >On Thu, Feb 13, 2014 at 1:30 PM, David Daney <[email-masked]> wrote:
> >>Really I think we should add a Kconfig item for this and disable the whole
> >>directory for targets that do not support it.
> >
> >Can we do something based on  CONFIG_CROSS_COMPILE vs. adding more Kconfig?
> >
> >Paul.
> >--
> 
> Hi Paul,
> 
> I am not sure how this would solve anything. CONFIG_CROSS_COMPILE
> could be empty, but you can still use 'make
> CROSS_COMPILE=mips-linux-foobar-' or whatever to cross-compile for
> MIPS. So using this symbol to disable tests does not seem right to
> me.
> 
> Another Kconfig symbol should be more appropriate but as far as I
> can see MIPS is the only architecture which has this problem (or I
> may have missed all{yes,mod}config failures from other
> architectures).
> 
> I still think that an "ifndef CONFIG_MIPS" is good enough for now
> until more architectures suffer from this problem in the future. So
> far (and looking at the git history of that file) other
> architectures managed to workaround this.

I don't have a specific preference to any one fix over another; I leave
that to the seccomp folks who review the fix.  But I would like to see
it dealt with ASAP.  The regression has been in linux-next for roughly a
week now, and doing that can mask us from seeing other build regressions
silently stacking up behind this one.  

Thanks,
Paul.
--

> -- markos